"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateEndpointConfigInput_1 = require("../shapes/CreateEndpointConfigInput");
const CreateEndpointConfigOutput_1 = require("../shapes/CreateEndpointConfigOutput");
const ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateEndpointConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateEndpointConfig",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateEndpointConfigInput_1.CreateEndpointConfigInput
    },
    output: {
        shape: CreateEndpointConfigOutput_1.CreateEndpointConfigOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=CreateEndpointConfig.js.map