"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateLabelingJobInput_1 = require("../shapes/CreateLabelingJobInput");
const CreateLabelingJobOutput_1 = require("../shapes/CreateLabelingJobOutput");
const ResourceInUse_1 = require("../shapes/ResourceInUse");
const ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateLabelingJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateLabelingJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateLabelingJobInput_1.CreateLabelingJobInput
    },
    output: {
        shape: CreateLabelingJobOutput_1.CreateLabelingJobOutput
    },
    errors: [
        {
            shape: ResourceInUse_1.ResourceInUse
        },
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=CreateLabelingJob.js.map