"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteWorkteamInput_1 = require("../shapes/DeleteWorkteamInput");
const DeleteWorkteamOutput_1 = require("../shapes/DeleteWorkteamOutput");
const ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteWorkteam = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteWorkteam",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteWorkteamInput_1.DeleteWorkteamInput
    },
    output: {
        shape: DeleteWorkteamOutput_1.DeleteWorkteamOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=DeleteWorkteam.js.map