"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeCompilationJobInput_1 = require("../shapes/DescribeCompilationJobInput");
const DescribeCompilationJobOutput_1 = require("../shapes/DescribeCompilationJobOutput");
const ResourceNotFound_1 = require("../shapes/ResourceNotFound");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeCompilationJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeCompilationJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeCompilationJobInput_1.DescribeCompilationJobInput
    },
    output: {
        shape: DescribeCompilationJobOutput_1.DescribeCompilationJobOutput
    },
    errors: [
        {
            shape: ResourceNotFound_1.ResourceNotFound
        }
    ]
};
//# sourceMappingURL=DescribeCompilationJob.js.map