"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeLabelingJobInput_1 = require("../shapes/DescribeLabelingJobInput");
const DescribeLabelingJobOutput_1 = require("../shapes/DescribeLabelingJobOutput");
const ResourceNotFound_1 = require("../shapes/ResourceNotFound");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeLabelingJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeLabelingJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeLabelingJobInput_1.DescribeLabelingJobInput
    },
    output: {
        shape: DescribeLabelingJobOutput_1.DescribeLabelingJobOutput
    },
    errors: [
        {
            shape: ResourceNotFound_1.ResourceNotFound
        }
    ]
};
//# sourceMappingURL=DescribeLabelingJob.js.map