"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListCompilationJobsInput_1 = require("../shapes/ListCompilationJobsInput");
const ListCompilationJobsOutput_1 = require("../shapes/ListCompilationJobsOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListCompilationJobs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListCompilationJobs",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListCompilationJobsInput_1.ListCompilationJobsInput
    },
    output: {
        shape: ListCompilationJobsOutput_1.ListCompilationJobsOutput
    },
    errors: []
};
//# sourceMappingURL=ListCompilationJobs.js.map