"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateNotebookInstanceInput_1 = require("../shapes/UpdateNotebookInstanceInput");
const UpdateNotebookInstanceOutput_1 = require("../shapes/UpdateNotebookInstanceOutput");
const ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateNotebookInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateNotebookInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateNotebookInstanceInput_1.UpdateNotebookInstanceInput
    },
    output: {
        shape: UpdateNotebookInstanceOutput_1.UpdateNotebookInstanceOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=UpdateNotebookInstance.js.map