"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ContainerDefinition_1 = require("./_ContainerDefinition");
const _ContainerDefinitionList_1 = require("./_ContainerDefinitionList");
const _TagList_1 = require("./_TagList");
const _VpcConfig_1 = require("./_VpcConfig");
exports.CreateModelInput = {
    type: "structure",
    required: ["ModelName", "ExecutionRoleArn"],
    members: {
        ModelName: {
            shape: {
                type: "string"
            }
        },
        PrimaryContainer: {
            shape: _ContainerDefinition_1._ContainerDefinition
        },
        Containers: {
            shape: _ContainerDefinitionList_1._ContainerDefinitionList
        },
        ExecutionRoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        VpcConfig: {
            shape: _VpcConfig_1._VpcConfig
        },
        EnableNetworkIsolation: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateModelInput.js.map