"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeCodeRepositoryInput_1 = require("../shapes/DescribeCodeRepositoryInput");
const DescribeCodeRepositoryOutput_1 = require("../shapes/DescribeCodeRepositoryOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeCodeRepository = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeCodeRepository",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeCodeRepositoryInput_1.DescribeCodeRepositoryInput
    },
    output: {
        shape: DescribeCodeRepositoryOutput_1.DescribeCodeRepositoryOutput
    },
    errors: []
};
//# sourceMappingURL=DescribeCodeRepository.js.map