"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeEndpointInput_1 = require("../shapes/DescribeEndpointInput");
const DescribeEndpointOutput_1 = require("../shapes/DescribeEndpointOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeEndpointInput_1.DescribeEndpointInput
    },
    output: {
        shape: DescribeEndpointOutput_1.DescribeEndpointOutput
    },
    errors: []
};
//# sourceMappingURL=DescribeEndpoint.js.map