"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const SearchInput_1 = require("../shapes/SearchInput");
const SearchOutput_1 = require("../shapes/SearchOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.Search = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "Search",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SearchInput_1.SearchInput
    },
    output: {
        shape: SearchOutput_1.SearchOutput
    },
    errors: []
};
//# sourceMappingURL=Search.js.map