"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _IntegerParameterRangeSpecification_1 = require("./_IntegerParameterRangeSpecification");
const _ContinuousParameterRangeSpecification_1 = require("./_ContinuousParameterRangeSpecification");
const _CategoricalParameterRangeSpecification_1 = require("./_CategoricalParameterRangeSpecification");
exports._ParameterRange = {
    type: "structure",
    required: [],
    members: {
        IntegerParameterRangeSpecification: {
            shape: _IntegerParameterRangeSpecification_1._IntegerParameterRangeSpecification
        },
        ContinuousParameterRangeSpecification: {
            shape: _ContinuousParameterRangeSpecification_1._ContinuousParameterRangeSpecification
        },
        CategoricalParameterRangeSpecification: {
            shape: _CategoricalParameterRangeSpecification_1._CategoricalParameterRangeSpecification
        }
    }
};
//# sourceMappingURL=_ParameterRange.js.map